MODF(3)

NAME
modf, modff, modfl - extract signed integral and fractional values from floating-point number

SYNOPSIS
#include <math.h>
double
modf(double value, double *iptr);
float
modff(float value, float *iptr);
long double
modfl(long double value, long double *iptr);

DESCRIPTION
The modf() function breaks the argument value into integral and fractional parts, each of which has the same sign as the argument. It stores the integral part as a double in the object pointed to by iptr. The modff() function is a single precision version of modf(). The modfl() function is an extended precision version of modf().

RETURN VALUES
The modf(), modff() and modfl() functions return the signed fractional part of value.

SEE ALSO
frexp(3), ldexp(3)

STANDARDS
The modf() function conforms to ansiC.